# Dialogue System for Unity

* Use TextMeshPro instead of Unity's built-in Text ([more here](https://www.pixelcrushers.com/dialogue_system/manual2x/html/text_mesh_pro.html)).
* Remove Dialogue System's typewriters on the Text gameObjects you want to animate
* Add the components "TextAnimator\_TMP" and "TypewriterByCharacter" (or "TypewriterByWord"). to your dialogue text, as shown in the [Integrated Plugins & Dialogues Systems](/text-animator-unity/2.x/integrations/integrated-plugins-and-dialogues-systems.md).

{% hint style="warning" %}
*Be sure to have removed the DialogueSystem's Typewriter component and only use TextAnimator's one, or you might have some conflicts.*
{% endhint %}

{% hint style="info" %}
You can also find an additional setup guide and components from PixelCrushers' [Integration page with Text Animator](https://www.pixelcrushers.com/dialogue_system/manual2x/html/text_animator.html) as well.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.febucci.com/text-animator-unity/2.x/integrations/integrated-plugins-and-dialogues-systems/dialogue-system-for-unity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
